Firefox crash using Flash and Chinese locale

Bug #74738 reported by Shunhsiung Shih on 2006-12-07
6
Affects Status Importance Assigned to Milestone
flashplugin-nonfree (Ubuntu)
Low
Unassigned

Bug Description

Binary package hint: flashplugin-nonfree

Today I upgrade flashplugin-nonfree 9 in Edgy.
But , I visit flash in some website , the Firefox 2 crash.
Then I remove flashplugin-nonfree 9 , I visit website again.
The Firefox 2 is normal.

So, Have any idea ?

Daniel T Chen (crimsun) wrote :

Please replicate this crash when using Feisty Herd 1.

Changed in flashplugin-nonfree:
importance: Undecided → Low
status: Unconfirmed → Needs Info

Can you give us some more information about your system so we can help you out?

Shunhsiung Shih (sshsiung) wrote :

 I use LANG=zh_TW.UTF-8 in my edgy.
 I found this bug , if the flickr flash photo player in the Website (Blog), the firefox 2 crash.
 But I use "unset XMODIFIERS; export LC_ALL=en_US.UTF-8" , use Firefox 2 again .
 I visit the Website (have flickr flash photo player), the Firefox 2 is normal.

 The flashplugin-nonfree package is 9.0.21.78.2ubuntu .

 Thanks.

D.B. Tsai (dbtsai) wrote :

I have this problem too.

I think the problem is from the mo file or some unicode problem.

And a guy uses gdb to trace this Segmentation fault, the result is the following.

Program received signal SIGSEGV, Segmentation fault.
[Switching to Thread -1491953984 (LWP 1732)]
0xa7d94466 in pthread_spin_lock () from /lib/tls/libpthread.so.0
(gdb) bt
#0 0xa7d94466 in pthread_spin_lock () from /lib/tls/libpthread.so.0
#1 0×9fa8db79 in NP_Shutdown ()
from /usr/lib/flashplugin-nonfree/libflashplayer.so
#2 0×9f9fd0c8 in NP_Shutdown ()
from /usr/lib/flashplugin-nonfree/libflashplayer.so
#3 0×9f9f8368 in NP_Shutdown ()
from /usr/lib/flashplugin-nonfree/libflashplayer.so
#4 0×9f9f1211 in ?? () from /usr/lib/flashplugin-nonfree/libflashplayer.so
#5 0×9f9f58f7 in ?? () from /usr/lib/flashplugin-nonfree/libflashplayer.so
#6 0×09265014 in ?? ()
#7 0xafa42778 in ?? ()
#8 0×00000000 in ?? ()

D.B. Tsai (dbtsai) wrote :

hey, guys

I think it's better that Ubuntu should be more stable. I think flash 9 is just in the beta status, it's usually not good idea to put it on backport.

Now, all the non-English users have this problem that when you leave a flash page for other web site, firefox will crash.

It's very serious and important that firefox crashes and crashes all the time.

Anyway, thanks for other good job

Matt Zimmerman (mdz) wrote :

The packages in the backports repository are provided as a convenience to users who wish to experiment with newer versions of software without upgrading their entire systems. They do not receive security updates, nor rigorous QA, and are considered unofficial for support purposes.

The official Firefox and Flash packages do not have this problem, so this crash can easily be avoided by using the packages provided.

If this bug can be reproduced on a Feisty system, that would be useful to know, although we probably cannot do more than to report the bug to Adobe. We only make it easy to install the Flash plugin; we cannot analyze its bugs because it is not an open source program.

Launchpad Janitor (janitor) wrote :

[Expired for flashplugin-nonfree (Ubuntu) because there has been no activity for 60 days.]

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers